Get offer

GET

GET https://external-api.lia.com.br/external_api/v1/offers/:id

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/offers/bdeebdb0-851e-5983-a63e-7b2668f12f50' \
--header 'Authorization: Bearer token'

Example response

{
    "amount_cents": 100000,
    "amount_currency": "BRL",
    "availability": "enabled",
    "checkout_type": "default",
    "created_at": "2023-11-29T10:32:42.765-03:00",
    "expires_at": "2023-12-29T23:59:59.000-03:00",
    "id": "bdeebdb0-851e-5983-a63e-7b2668f12f50",
    "name": "Padrão",
    "payment_configurations": [
        {
            "allowed_down_payment_methods": [],
            "availability": "enabled",
            "down_payment_interest_rate": null,
            "down_payment_type": null,
            "down_payment_value": 0.0,
            "expires_in": 12,
            "fee_embedded_in_down_payment": false,
            "financed_type": null,
            "id": "a3dc85da-00a7-5eca-bea4-a753ea5abc49",
            "interest_rate": 0.0,
            "max_down_payment_installments": null,
            "max_installments": 1,
            "min_installment_amount_cents": 5000,
            "payment_methods": [
                "pix"
            ],
            "payment_type": "upfront",
            "registration_fee": 0.0,
            "take_rate_type": "absolute",
            "take_rate_value": 297.0
        },
        {
            "allowed_down_payment_methods": [],
            "availability": "enabled",
            "down_payment_interest_rate": null,
            "down_payment_type": null,
            "down_payment_value": 0.0,
            "expires_in": null,
            "fee_embedded_in_down_payment": false,
            "financed_type": null,
            "id": "f10453af-9a9e-5637-914f-e531582ed377",
            "interest_rate": 0.028,
            "max_down_payment_installments": null,
            "max_installments": 12,
            "min_installment_amount_cents": 5000,
            "payment_methods": [
                "credit_card"
            ],
            "payment_type": "upfront",
            "registration_fee": 0.0,
            "take_rate_type": "percentage",
            "take_rate_value": 0.0297
        },
        {
            "allowed_down_payment_methods": [
                "boleto",
                "pix",
                "credit_card"
            ],
            "availability": "enabled",
            "down_payment_interest_rate": 0.028,
            "down_payment_type": "percentage",
            "down_payment_value": 0.1,
            "expires_in": 12,
            "fee_embedded_in_down_payment": false,
            "financed_type": null,
            "id": "ed683267-5ca4-5b6a-8567-6c097a46846f",
            "interest_rate": 0.028,
            "max_down_payment_installments": 12,
            "max_installments": 24,
            "min_installment_amount_cents": 5000,
            "payment_methods": [
                "boleto",
                "credit_card",
                "pix"
            ],
            "payment_type": "financed",
            "registration_fee": 0.0197,
            "take_rate_type": "percentage",
            "take_rate_value": 0.0897
        }
    ],
    "product": {
        "access_period": "lifetime",
        "availability": "enabled",
        "banner_url": null,
        "company_id": "10d95971-868c-517a-9354-8a2b8905fccd",
        "created_at": "2023-11-29T10:32:42.753-03:00",
        "description": "Produto da alegria.",
        "duration_in_days": null,
        "duration_in_hours": 12,
        "end_date": null,
        "formatted_access_period": "Vitalício",
        "full_amount_cents": 100000,
        "full_amount_currency": "BRL",
        "google_pixel_code": null,
        "id": "d41d3b70-7ecc-5b50-89de-6658595cc1ae",
        "kind": {
            "id": "47b593d4-68ec-55b1-acd4-6273bfd6d445",
            "name": "Curso"
        },
        "meta_pixel_code": null,
        "metadata": {},
        "name": "Produto Exemplo",
        "shift": {
            "id": "3def779a-1247-532e-ac4b-1cb861ce9ce0",
            "name": "Online"
        },
        "start_date": null,
        "updated_at": "2023-11-29T10:32:42.753-03:00"
    },
    "seats": 30,
    "smart_payment_enabled": false,
    "updated_at": "2023-11-29T10:32:42.765-03:00",
    "url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=f2bc7cca-fa76-5252-9109-fd7c6c42ae33"
}